Create Multi Currency Wallets

Create a multi-currency wallet for your business.

This endpoint is used to create a new Veem Multi Currency Wallet. You will need your Oauth2 token to be able to hit this endpoint.

POST /veem/v1.2/wallets
📘

Headers

Three headers are required to use this endpoint.

NameTypeRequiredDescription
AuthorizationstringYesBearer token (OAuth 2.0) This header holds the bearer token required to use Veem's public API, and belongs to the owner account. Failure to use a valid bearer token will result in a 404 (Not Found) status code in the response. An example of a valid header value is as follows: Bearer c047594b-082c-4da1-be89-08fe3770f4b3.
See Get Access Token section to generate your Bearer token.
X-Request-IdstringYesThis is a unique string that identifies the current API request, and should follow the UUID format. Reusing this header without changing the value will result in a 409 (Conflict) status code in the response. An example X-request-id is as follows: 48855846-628d-4177-b071-80332a116f0a
Content-TypestringYesThe content type of the request. Must be application/json

Request Payload

When creating a wallet using Veem's Multi Currency Wallet Creation API, one must follow the format as shown in the following example:

{
    "currencyCode": "MXN"
}

Request Parameters

The following table contains detailed information on the payload's parameter:

ParameterMandatory?FormatSize (in characters)
currencyCodeYesISO 4217 alpha-3 code (eg. GBP, CAD, JPY etc)3

For extra information, you can find some resources here:
ISO 4217 alpha-3 code: https://en.wikipedia.org/wiki/ISO_4217


Response Payload

Once a valid request has been sent, a response payload of this format should be expected:

{
    "id": 2164,
    "accountId": null,
    "availableBalance": {
        "number": 0,
        "currency": "MXN"
    },
    "pendingBalance": {
        "number": 0,
        "currency": "MXN"
    },
    "totalBalance": {
        "number": 0,
        "currency": "MXN"
    },
    "status": "Active"
}

Possible response errors

When opening a Veem wallet, one might encounter some errors depending on the information provided. Here are some examples of the possible status codes one might encounter when using Veem's Multi Currency Wallet Creation API:

Status Code: 400 (Bad Request)

Example Response:

{
    "code": 50009028,
    "message": "The Currency BRL is not available",
    "logTag": "48855846-628d-4177-b071-80332a116f0a",
    "timestamp": "2025-03-06T19:33:46.504",
    "fileName": "WalletRequestValidator.java",
    "lineNumber": 39
}

Note: The Veem wallet is not available for all currencies